Saya tidak dapat memperbarui proyek saya. Ketika saya mencoba melakukan ini, saya mendapat pesan ini

Pembantu Pemutakhiran gagal memutakhirkan proyek ini, tidak menemukan cara untuk menjalankan perintah Pemutakhiran versi AGP dari 4.1.3 ke 4.2.0, mungkin karena file pembangunan proyek menggunakan fitur yang saat ini tidak didukung oleh Pembantu Pemutakhiran (misalnya: menggunakan konstanta yang ditentukan di buildSrc, atau konstruksi tidak dikenal lainnya, di file build Gradle).

Apa yang bisa saya lakukan?

1
Akzhan 12 Mei 2021, 06:36

1 menjawab

Jawaban Terbaik

Anda harus secara manual mengubah versi gradle di build.gradle.kts (proyek) dan kemudian di gradle-wrapper.properties ke versi yang cocok dengan versi build.gradle.kts Anda

Sebagai contoh "com.android.tools.build:gradle:7.0.0-alpha14" dalam build.gradle.kts

Dan

distributionUrl=https\://services.gradle.org/distributions/gradle-7.0-all.zip di gradle-wrapper.properties

1
qki 12 Mei 2021, 06:23